/*
* general css
*/
body {
  margin: 0;
  font-family: 'farsi-1', 'english-1', sans-serif;
}

.english{
  font-family: 'english-1';
}

.farsi{
  font-family: 'farsi-1';
}

.table-title, .top-title{
  font-size: 1.1em;
  font-weight: bold;
}

a, a:visited, a:hover, a:active {
  color: #001cd9;
}

.digital-med-label{
  color: #494949;
  font-weight: lighter;
  padding: 8px;
}

.main-page-icon{
  height: 80px;
}

/*
* navbar
*/
.navbar {
  overflow: hidden;
  background-color: #333;
  /* background-image: linear-gradient(to bottom right, rgb(0, 41, 255), rgb(255, 0, 0), rgb(255, 0, 230));  */
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 2;
  border-bottom: 0px solid rgb(131, 131, 131);
}

.navbar a {
  float: right;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 12px 16px;
  text-decoration: none;
  font-size: 0.8em;
}

.navbar a:hover {
  background: #4f4e4e;
  color: #e6e6e6;
  border-radius: 8px;
}

.navbar-icon{
  padding-right: 4px;
  margin: 0;
  vertical-align: sub;
}

.navbar-title-text{
  color: #e4e4e4;
  text-align: left;
  padding: 10px 60px;
  /* border-bottom: 1px solid rgb(255, 0, 0); */
}

#toggleSideBarButton{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    color: rgb(241, 241, 241);
    padding-right: 8px;
    padding-left: 8px;
    padding-top: 6px;
    display: none;
}
#toggleSideBarButton div img{
  padding: 4px;
  height: 28px;
}
#toggleSideBarButton div:hover{
   background: #4f4e4e;
   border-radius: 15%;
}

/*
* sidebar
*/
.sidebar {
  margin: 0;
  padding: 0;
  width: 200px;
  background-color: #f1f1f1;
  position: fixed;
  left: 0px;
  top: 0px;
  height: 100%;
  transition: 0.4s;
  z-index: 1;
  border-left: 0px solid rgb(189, 189, 189);
  white-space: nowrap;
  overflow-x: hidden;
  overflow-y: scroll;
  text-overflow: ellipsis;
}

.sidebar a {
  display: block;
  color: black;
  padding: 8px;
  font-size: 0.85em;
  text-decoration: none;
  border-bottom: 1px solid rgb(255, 255, 255);
}

.sidebar a.not-show{
  border: 0;
}

.sidebar a.active {
  /* background-color: #a2a2a2;
  border-radius: 4px;
  color: white; */
}

.sidebar a:hover:not(.not-show){
  background-color: #9f9f9f;
  border-radius: 4px;
  color: white;
}

.sidebar a.not-show{
  margin-top: 20px;
}

.sidebar a.user-full-name{
  margin: 0;
  text-align: center;
  font-family: english-1;
  font-weight: bold;
}

.sidebar-category-label{
  color: #696969;
  padding: 8px;
  padding-right: 24px;
  margin-top: 16px;
  font-size: 0.9em;
}

img.sidebar-icon{
  padding-left: 4px;
  padding-right: 4px;
  height: 18px;
}


div.main-content {
  margin-left: 200px;
  padding: 1px 16px;
  padding-top: 60px;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

/*
* Right bar
*/
.right-bar {
  margin: 0;
  padding: 0;
  width: 0;
  background-color: #f9f9f9;
  position: fixed;
  right: 0px;
  top: 0px;
  height: 100%;
  transition: 0.4s;
  z-index: 1;
  border-left: 1px solid rgb(189, 189, 189);
  white-space: nowrap;
  overflow-x: scroll;
  overflow-y: scroll;
  text-overflow: ellipsis;
}

@media screen and (max-width: 1000px) {
  .sidebar {
    width: 0;
  }

  div.main-content {
    margin-left: 0;
  }

  #toggleSideBarButton{
    display: block;
    z-index: 3;
  }
}

/*
* responsive layout css
* *********************
*/

* {
  box-sizing: border-box;
}

.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  padding: 0 4px;
  /* justify-content: space-around;
  align-items: baseline; */
}

.row > div{
  padding: 4px;
}

/*
* desktop display, medium size. no screen limit
*/
  .col-m-1 {
    flex: 8.33%;
    max-width: 8.33%;
  }

  .col-m-2 {
    flex: 16.66%;
    max-width: 16.66%;
  }

  .col-m-3 {
    flex: 25%;
    max-width: 25%;
  }

  .col-m-4 {
    flex: 33.33%;
    max-width: 33.33%;
  }

  .col-m-5 {
    flex: 41.66%;
    max-width: 41.66%;
  }

  .col-m-6 {
    flex: 50%;
    max-width: 50%;
  }

  .col-m-7 {
    flex: 58.33%;
    max-width: 58.33%;
  }

  .col-m-8 {
    flex: 66.66%;
    max-width: 66.66%;
  }

  .col-m-9 {
    flex: 75%;
    max-width: 75%;
  }

  .col-m-10 {
    flex: 83.33%;
    max-width: 83.33%;
  }

  .col-m-11 {
    flex: 91.66%;
    max-width: 91.66%;
  }

  .col-m-12 {
    flex: 100%;
    max-width: 100%;
  }

/*
* tablets screen, small size
*/
@media (max-width: 1000px) {
  .col-m-1, .col-m-2, .col-m-3, .col-m-4, .col-m-5, .col-m-6 {
    flex: 50%;
    max-width: 50%;
  }
  .col-m-7, .col-m-8, .col-m-9, .col-m-10, .col-m-11, .col-m-12 {
    flex: 100%;
    max-width: 100%;
  }

  .col-s-1 {
    flex: 8.33%;
    max-width: 8.33%;
  }

  .col-s-2 {
    flex: 16.66%;
    max-width: 16.66%;
  }

  .col-s-3 {
    flex: 25%;
    max-width: 25%;
  }

  .col-s-4 {
    flex: 33.33%;
    max-width: 33.33%;
  }

  .col-s-5 {
    flex: 41.66%;
    max-width: 41.66%;
  }

  .col-s-6 {
    flex: 50%;
    max-width: 50%;
  }

  .col-s-7 {
    flex: 58.33%;
    max-width: 58.33%;
  }

  .col-s-8 {
    flex: 66.66%;
    max-width: 66.66%;
  }

  .col-s-9 {
    flex: 75%;
    max-width: 75%;
  }

  .col-s-10 {
    flex: 83.33%;
    max-width: 83.33%;
  }

  .col-s-11 {
    flex: 91.66%;
    max-width: 91.66%;
  }

  .col-s-12 {
    flex: 100%;
    max-width: 100%;
  }
}

/*
* phones screen, extra small size
*/
@media (max-width: 768px) {
  .col-m-1, .col-m-2, .col-m-3, .col-m-4, .col-m-5, .col-m-6, .col-m-7, .col-m-8, .col-m-9, .col-m-10, .col-m-11, .col-m-12,
  .col-s-1, .col-s-2, .col-s-3, .col-s-4, .col-s-5, .col-s-6, .col-s-7, .col-s-8, .col-s-9, .col-s-10, .col-s-11, .col-s-12 {
    flex: 100%;
    max-width: 100%;
  }

  .col-x-1 {
    flex: 8.33%;
    max-width: 8.33%;
  }

  .col-x-2 {
    flex: 16.66%;
    max-width: 16.66%;
  }

  .col-x-3 {
    flex: 25%;
    max-width: 25%;
  }

  .col-x-4 {
    flex: 33.33%;
    max-width: 33.33%;
  }

  .col-x-5 {
    flex: 41.66%;
    max-width: 41.66%;
  }

  .col-x-6 {
    flex: 50%;
    max-width: 50%;
  }

  .col-x-7 {
    flex: 58.33%;
    max-width: 58.33%;
  }

  .col-x-8 {
    flex: 66.66%;
    max-width: 66.66%;
  }

  .col-x-9 {
    flex: 75%;
    max-width: 75%;
  }

  .col-x-10 {
    flex: 83.33%;
    max-width: 83.33%;
  }

  .col-x-11 {
    flex: 91.66%;
    max-width: 91.66%;
  }

  .col-x-12 {
    flex: 100%;
    max-width: 100%;
  }
}

/*
* print css
*/
@media screen{
  .noscreen {
      display: none;
    }
}

@media print {
    .noprint{
      display: none;
      visibility: hidden;
    }
    .section-to-print {
      display: block;
      visibility: visible;
    }
}

@media print {
  a[href]:after {
    content: none !important;
  }
}
